package utils

import (
	"fmt"
	"gopkg.in/gomail.v2"
	"mime"
	"strings"
)

//发送邮件
func SendEmail(title, content string, touser string)bool {
	var arr []string
	sub := strings.Index(touser, ";")
	if sub >= 0 {
		spArr := strings.Split(touser, ";")
		for _, v := range spArr {
			arr = append(arr, v)
		}
	}else{
		arr = append(arr, touser)
	}
	m := gomail.NewMessage()
	m.SetHeader("From", "317699326@qq.com ")
	m.SetHeader("To", arr...)
	m.SetHeader("Subject", title+" "+GetRandString(16))
	m.SetBody("text/html", content)
	d := gomail.NewDialer("smtp.qq.com", 587, "317699326@qq.com", "oqdypwfcvruwcbea")
	if err := d.DialAndSend(m); err != nil {
		return false
	}
	return true
}

//发送邮件
func SendEmailByHongze(title, content string, touser,attachPath,attachName string)bool {
	var arr []string
	sub := strings.Index(touser, ";")
	if sub >= 0 {
		spArr := strings.Split(touser, ";")
		for _, v := range spArr {
			arr = append(arr, v)
		}
	}else{
		arr = append(arr, touser)
	}
	m := gomail.NewMessage()


	m.SetHeader("From", "public@hzinsights.com")
	m.SetHeader("To", arr...)
	m.SetHeader("Subject", title+" "+GetRandStringNoSpecialChar(8))
	m.SetBody("text/html", content)

	//body := new(bytes.Buffer)
	if attachPath != "" {
		m.Attach(attachPath,
			gomail.Rename(attachName),
			gomail.SetHeader(map[string][]string{
				"Content-Disposition": []string{
					fmt.Sprintf(`attachment; filename="%s"`, mime.QEncoding.Encode("UTF-8", attachName)),
				},
			}),)
	}
	d := gomail.NewDialer("smtp.mxhichina.com", 465, "public@hzinsights.com", "Hzinsights2018")
	if err := d.DialAndSend(m); err != nil {
		fmt.Println("send err:",err.Error())
		return false
	}
	return true
}
